move all bash to ash shell scripts

this gerrit would be the first step
to not to use any GPL-3.0 and plus license

Issue-ID: POLICY-2847
Change-Id: I09a571f14ef8c6983f9051068c2bad5acc173787
Signed-off-by: Taka Cho <takamune.cho@att.com>
diff --git a/policy-management/src/main/server-gen/bin/create-api-key b/policy-management/src/main/server-gen/bin/create-api-key
index ea0ec7a..d5af491 100644
--- a/policy-management/src/main/server-gen/bin/create-api-key
+++ b/policy-management/src/main/server-gen/bin/create-api-key
@@ -1,17 +1,17 @@
-#! /bin/bash
+#!/usr/bin/env ash
 
 ###
 # ============LICENSE_START=======================================================
 # policy-management
 # ================================================================================
-# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# Copyright (C) 2017-2020 AT&T Intellectual Property. All rights reserved.
 # ================================================================================
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
-# 
+#
 #      http://www.apache.org/licenses/LICENSE-2.0
-# 
+#
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@@ -21,56 +21,56 @@
 ###
 
 function usage() {
-	echo -n "Usage: $(basename $0) "
-	echo -n "[(-d|--debug)] "
-	echo -n "(-h|--host) <bus-host> "
-	echo -n "[(-p|--port) <bus-port>] "
-	echo    "(-e|--email) <email>"
+    echo -n "Usage: $(basename $0) "
+    echo -n "[(-d|--debug)] "
+    echo -n "(-h|--host) <bus-host> "
+    echo -n "[(-p|--port) <bus-port>] "
+    echo    "(-e|--email) <email>"
 }
 
 BUS_PORT=3904
 
 # command line options parsing
-until [[ -z "$1" ]]; do
-	case $1 in
-		-d|--debug) 	set -x
-						;;
-		-h|--host) 		shift
-						BUS_HOST=$1
-						;;						
-		-p|--port) 		shift
-						BUS_PORT=$1
-						;;
-		-e|--email) 	shift
-						EMAIL=$1
-						;;						
-		*)				usage
-						exit 1
-						;;
-	esac
-	shift
+until [ -z "$1" ]; do
+    case $1 in
+        -d|--debug)    set -x
+            ;;
+        -h|--host)     shift
+            BUS_HOST=$1
+            ;;
+        -p|--port)     shift
+            BUS_PORT=$1
+            ;;
+        -e|--email)    shift
+            EMAIL=$1
+            ;;
+        *)             usage
+            exit 1
+            ;;
+    esac
+    shift
 done
 
-if [[ -z ${BUS_HOST} ]]; then
-	echo "An UEB/DMAAP server must be provided."
-	echo
-	usage
-	exit 1
+if [ -z "${BUS_HOST}" ]; then
+    echo "An UEB/DMAAP server must be provided."
+    echo
+    usage
+    exit 1
 fi
 
-if [[ -z ${EMAIL} ]]; then
-	echo "An email address must be provided."
-	usage
-	exit 2
+if [ -z "${EMAIL}" ]; then
+    echo "An email address must be provided."
+    usage
+    exit 2
 fi
 
-REQUEST_API_KEY_BODY=$(< <(cat <<EOF
+REQUEST_API_KEY_BODY=$(cat <<EOF
 {
   "email": "${EMAIL}",
   "description": "Generated by PDP-D $(hostname -f)"
 }
 EOF
-))
+)
 
 unset http_proxy
 curl -s -X POST --data "${REQUEST_API_KEY_BODY}" --header "Content-Type: application/json" http://${BUS_HOST}:${BUS_PORT}/v1/apiKeys/create